Name:           linpsk
Version:        1.1
Release:        2%{?dist}
Summary:        Psk31 and RTTY program for Linux

Group:          Applications/Communications
License:        GPLv2+
URL:            http://linpsk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fftw-devel
BuildRequires:  qt-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:  desktop-file-utils

#Requires:

%description
LinPsk is a program for operating on digital modes running on Linux.
LinPsk supports BPSK, QPSK and RTTY at the moment.
Main features are:
* the simultaneuos decoding of up to four channels.
* The different digital modes may be mixed
* You can define a trigger on each channel to be notified if a text of your 
  choice is detected.
* You can log each received channel at a file.
* For easy qso'ing you can define macros and for larger texts to be send you 
  can use two files.
* You can view the signal as spectrum or in a waterfall display. Both are 
  scalable in the frequency domain.
At the Moment RTTY only supports 45 baud and 1.5 stopbits. 

%prep
%setup -q -n %{name}
#libtoolize
#autoreconf

#fix permissions for debuginfo files
chmod 0644 $RPM_BUILD_DIR/%{name}/src/{rttydemodulator.cpp,cpskdemodulator.cpp,cpskdemodulator.h,rttydemodulator.h}

%build
#unset QTDIR && . /etc/profile.d/qt.sh
qmake-qt4 -unix -o Makefile linpsk.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/linpsk $RPM_BUILD_ROOT%{_bindir}

# no upstream .desktop or icon yet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

#Remove development files
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Fri Apr 30 2010 Jon Ciesla <limb@jcomserv.net>  - 1.1-2
- Build, doc fixes.

* Fri Apr 30 2010 Randall 'Randy' Berry <dp67@fedoraproject.org>  - 1.1-1
- Upstream update to 1.1

* Sun Apr 18 2010 Randall 'Randy' Berry <dp67@fedoraproject.org>  - 0.9-8
- Correct .desktop file categories now includes Network;HamRadio;

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Robert Scheck <robert@fedoraproject.org> 0.9-6
- Rebuilt against libtool 2.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 16 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-4
- BR: qt3-devel

* Thu Feb 28 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-3
- Add .desktop and icon for GUI application
- Submit for review

* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.9-2
- Update License to GPLv2+
- Fix permissions for src files

* Thu Nov 22 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-1
- Correct License

* Tue May 15 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-0
- Initial RPM release

